## Tests for print function

library(divfor)
context("divfor_print")

## Initialize the random forest
rf <- divfor(Species ~ ., iris, num.trees = 5, write.forest = TRUE)

## Test print divfor function
expect_that(print(rf), prints_text("divfor result"))

## Test print forest function
expect_that(print(rf$forest), prints_text("divfor forest object"))

## Test print prediction function
expect_that(print(predict(rf, iris)), prints_text("divfor prediction"))

## Test str divfor function
expect_that(str(rf), prints_text("List of 14"))

## Test str forest function
expect_that(str(rf$forest), prints_text("List of 10"))
